package org.ballerinalang.generated.providers;

import org.ballerinalang.annotation.JavaSPIService;
import org.ballerinalang.model.types.TypeKind;
import org.ballerinalang.natives.NativeElementRepository;
import org.ballerinalang.natives.NativeElementRepository.NativeActionDef;
import org.ballerinalang.natives.NativeElementRepository.NativeFunctionDef;
import org.ballerinalang.spi.NativeElementProvider;

@JavaSPIService ("org.ballerinalang.spi.NativeElementProvider")
public class StandardNativeElementProvider implements NativeElementProvider {

	@Override
	public void populateNatives(NativeElementRepository repo) {
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "task", "Timer.stop", new TypeKind[] { TypeKind.STRUCT }, new TypeKind[] {  }, "org.ballerinalang.nativeimpl.task.timer.Stop"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "task", "Timer.start", new TypeKind[] { TypeKind.STRUCT }, new TypeKind[] {  }, "org.ballerinalang.nativeimpl.task.timer.Start"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "task", "Appointment.cancel", new TypeKind[] { TypeKind.STRUCT }, new TypeKind[] {  }, "org.ballerinalang.nativeimpl.task.appointment.Cancel"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "task", "Appointment.schedule", new TypeKind[] { TypeKind.STRUCT }, new TypeKind[] {  }, "org.ballerinalang.nativeimpl.task.appointment.Schedule"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "file", "createFile", new TypeKind[] { TypeKind.STRUCT }, new TypeKind[] { TypeKind.BOOLEAN, TypeKind.STRUCT }, "org.ballerinalang.nativeimpl.file.CreateFile"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "file", "Listener.stop", new TypeKind[] {  }, new TypeKind[] {  }, "org.ballerinalang.nativeimpl.file.service.endpoint.Stop"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "file", "Listener.initEndpoint", new TypeKind[] { TypeKind.STRUCT }, new TypeKind[] {  }, "org.ballerinalang.nativeimpl.file.service.endpoint.InitEndpoint"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "file", "Listener.start", new TypeKind[] {  }, new TypeKind[] {  }, "org.ballerinalang.nativeimpl.file.service.endpoint.Start"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "file", "Listener.register", new TypeKind[] { TypeKind.TYPEDESC }, new TypeKind[] {  }, "org.ballerinalang.nativeimpl.file.service.endpoint.Register"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "file", "Path.init", new TypeKind[] { TypeKind.STRUCT, TypeKind.STRING }, new TypeKind[] {  }, "org.ballerinalang.nativeimpl.file.Init"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "file", "exists", new TypeKind[] { TypeKind.STRUCT }, new TypeKind[] { TypeKind.BOOLEAN }, "org.ballerinalang.nativeimpl.file.Exists"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "file", "Path.toAbsolutePath", new TypeKind[] { TypeKind.STRUCT }, new TypeKind[] { TypeKind.STRUCT }, "org.ballerinalang.nativeimpl.file.ToAbsolutePath"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "file", "Path.getName", new TypeKind[] { TypeKind.STRUCT }, new TypeKind[] { TypeKind.STRING }, "org.ballerinalang.nativeimpl.file.GetName"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "file", "getModifiedTime", new TypeKind[] {  }, new TypeKind[] {  }, "org.ballerinalang.nativeimpl.file.GetModifiedTime"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "file", "list", new TypeKind[] { TypeKind.STRUCT }, new TypeKind[] { TypeKind.ARRAY, TypeKind.STRUCT }, "org.ballerinalang.nativeimpl.file.List"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "file", "delete", new TypeKind[] { TypeKind.STRUCT }, new TypeKind[] { TypeKind.BOOLEAN, TypeKind.STRUCT }, "org.ballerinalang.nativeimpl.file.Delete"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "file", "Path.getPathValue", new TypeKind[] { TypeKind.STRUCT }, new TypeKind[] { TypeKind.STRING }, "org.ballerinalang.nativeimpl.file.GetPathValue"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "file", "createDirectory", new TypeKind[] { TypeKind.STRUCT }, new TypeKind[] { TypeKind.BOOLEAN, TypeKind.STRUCT }, "org.ballerinalang.nativeimpl.file.CreateDirectory"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "file", "isDirectory", new TypeKind[] { TypeKind.STRUCT }, new TypeKind[] { TypeKind.BOOLEAN }, "org.ballerinalang.nativeimpl.file.IsDirectory"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "security.crypto", "getHmac", new TypeKind[] { TypeKind.STRING, TypeKind.STRING, TypeKind.STRING }, new TypeKind[] { TypeKind.STRING }, "org.ballerinalang.nativeimpl.security.crypto.GetHmac"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "security.crypto", "getCRC32", new TypeKind[] { TypeKind.ANY }, new TypeKind[] { TypeKind.STRING }, "org.ballerinalang.nativeimpl.security.crypto.GetCRC32"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "security.crypto", "getHash", new TypeKind[] { TypeKind.STRING, TypeKind.STRING }, new TypeKind[] { TypeKind.STRING }, "org.ballerinalang.nativeimpl.security.crypto.GetHash"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "compression", "compress", new TypeKind[] { TypeKind.STRUCT, TypeKind.STRUCT }, new TypeKind[] { TypeKind.STRUCT }, "org.ballerinalang.nativeimpl.compression.Compress"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "compression", "decompress", new TypeKind[] { TypeKind.STRUCT, TypeKind.STRUCT }, new TypeKind[] { TypeKind.STRUCT }, "org.ballerinalang.nativeimpl.compression.Decompress"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "compression", "compressToBlob", new TypeKind[] { TypeKind.STRUCT }, new TypeKind[] { TypeKind.BLOB }, "org.ballerinalang.nativeimpl.compression.CompressToBlob"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "compression", "decompressFromBlob", new TypeKind[] { TypeKind.BLOB, TypeKind.STRUCT }, new TypeKind[] { TypeKind.STRUCT }, "org.ballerinalang.nativeimpl.compression.DecompressFromBlob"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "transactions", "prepareResourceManagers", new TypeKind[] { TypeKind.STRING, TypeKind.INT }, new TypeKind[] { TypeKind.BOOLEAN }, "org.ballerinalang.nativeimpl.transactions.PrepareResourceManagers"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "transactions", "commitResourceManagers", new TypeKind[] { TypeKind.STRING, TypeKind.INT }, new TypeKind[] { TypeKind.BOOLEAN }, "org.ballerinalang.nativeimpl.transactions.CommitResourceManagers"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "transactions", "getHostAddress", new TypeKind[] {  }, new TypeKind[] { TypeKind.STRING }, "org.ballerinalang.nativeimpl.transactions.GetHostAddress"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "transactions", "getCurrentTransactionId", new TypeKind[] {  }, new TypeKind[] { TypeKind.STRING }, "org.ballerinalang.nativeimpl.transactions.GetCurrentTransactionId"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "transactions", "getAvailablePort", new TypeKind[] {  }, new TypeKind[] { TypeKind.INT }, "org.ballerinalang.nativeimpl.transactions.GetAvailablePort"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "transactions", "abortResourceManagers", new TypeKind[] { TypeKind.STRING, TypeKind.INT }, new TypeKind[] { TypeKind.BOOLEAN }, "org.ballerinalang.nativeimpl.transactions.AbortResourceManagers"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "jwt", "verifySignature", new TypeKind[] { TypeKind.STRING, TypeKind.STRING, TypeKind.STRING, TypeKind.STRUCT }, new TypeKind[] { TypeKind.BOOLEAN }, "org.ballerinalang.nativeimpl.jwt.signature.VerifySignature"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "jwt", "sign", new TypeKind[] { TypeKind.STRING, TypeKind.STRING, TypeKind.STRUCT }, new TypeKind[] { TypeKind.STRING }, "org.ballerinalang.nativeimpl.jwt.signature.Sign"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "reflect", "equals", new TypeKind[] { TypeKind.ANY, TypeKind.ANY }, new TypeKind[] { TypeKind.BOOLEAN }, "org.ballerinalang.nativeimpl.reflect.Equals"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "builtin", "map.keys", new TypeKind[] { TypeKind.MAP }, new TypeKind[] { TypeKind.ARRAY }, "org.ballerinalang.nativeimpl.builtin.maplib.GetKeys"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "builtin", "map.remove", new TypeKind[] { TypeKind.MAP, TypeKind.STRING }, new TypeKind[] { TypeKind.BOOLEAN }, "org.ballerinalang.nativeimpl.builtin.maplib.Remove"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "builtin", "map.clear", new TypeKind[] { TypeKind.MAP }, new TypeKind[] {  }, "org.ballerinalang.nativeimpl.builtin.maplib.Clear"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "builtin", "map.hasKey", new TypeKind[] { TypeKind.MAP, TypeKind.STRING }, new TypeKind[] { TypeKind.BOOLEAN }, "org.ballerinalang.nativeimpl.builtin.maplib.HasKey"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "builtin", "map.values", new TypeKind[] { TypeKind.MAP }, new TypeKind[] { TypeKind.ARRAY }, "org.ballerinalang.nativeimpl.builtin.maplib.GetValues"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "builtin", "xml.getTextValue", new TypeKind[] {  }, new TypeKind[] { TypeKind.STRING }, "org.ballerinalang.nativeimpl.builtin.xmllib.GetTextValue"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "builtin", "xml.isEmpty", new TypeKind[] {  }, new TypeKind[] { TypeKind.BOOLEAN }, "org.ballerinalang.nativeimpl.builtin.xmllib.IsEmpty"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "builtin", "xml.removeAttribute", new TypeKind[] { TypeKind.STRING }, new TypeKind[] {  }, "org.ballerinalang.nativeimpl.builtin.xmllib.RemoveAttribute"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "builtin", "xml.slice", new TypeKind[] { TypeKind.INT, TypeKind.INT }, new TypeKind[] { TypeKind.XML }, "org.ballerinalang.nativeimpl.builtin.xmllib.Slice"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "builtin", "xml.strip", new TypeKind[] {  }, new TypeKind[] { TypeKind.XML }, "org.ballerinalang.nativeimpl.builtin.xmllib.Strip"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "builtin", "xml.selectDescendants", new TypeKind[] { TypeKind.STRING }, new TypeKind[] { TypeKind.XML }, "org.ballerinalang.nativeimpl.builtin.xmllib.SelectDescendants"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "builtin", "xml.setChildren", new TypeKind[] { TypeKind.XML }, new TypeKind[] {  }, "org.ballerinalang.nativeimpl.builtin.xmllib.SetChildren"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "builtin", "xml.isSingleton", new TypeKind[] {  }, new TypeKind[] { TypeKind.BOOLEAN }, "org.ballerinalang.nativeimpl.builtin.xmllib.IsSingleton"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "builtin", "xml.getItemType", new TypeKind[] {  }, new TypeKind[] { TypeKind.STRING }, "org.ballerinalang.nativeimpl.builtin.xmllib.GetItemType"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "builtin", "xml.toJSON", new TypeKind[] { TypeKind.STRUCT }, new TypeKind[] { TypeKind.JSON }, "org.ballerinalang.nativeimpl.builtin.xmllib.ToJSON"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "builtin", "xml.setAttributes", new TypeKind[] { TypeKind.MAP }, new TypeKind[] {  }, "org.ballerinalang.nativeimpl.builtin.xmllib.SetAttributes"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "builtin", "xml.select", new TypeKind[] { TypeKind.STRING }, new TypeKind[] { TypeKind.XML }, "org.ballerinalang.nativeimpl.builtin.xmllib.Select"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "builtin", "xml.copy", new TypeKind[] {  }, new TypeKind[] { TypeKind.XML }, "org.ballerinalang.nativeimpl.builtin.xmllib.Copy"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "builtin", "xml.getElementName", new TypeKind[] {  }, new TypeKind[] { TypeKind.STRING }, "org.ballerinalang.nativeimpl.builtin.xmllib.GetElementName"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "builtin", "xml.elements", new TypeKind[] {  }, new TypeKind[] { TypeKind.XML }, "org.ballerinalang.nativeimpl.builtin.xmllib.Elements"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "builtin", "blob.toString", new TypeKind[] { TypeKind.BLOB, TypeKind.STRING }, new TypeKind[] { TypeKind.STRING }, "org.ballerinalang.nativeimpl.builtin.bloblib.ToString"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "builtin", "stream.publish", new TypeKind[] { TypeKind.STREAM, TypeKind.ANY }, new TypeKind[] {  }, "org.ballerinalang.nativeimpl.builtin.streamlib.Publish"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "builtin", "stream.subscribe", new TypeKind[] { TypeKind.STREAM, TypeKind.ANY }, new TypeKind[] {  }, "org.ballerinalang.nativeimpl.builtin.streamlib.Subscribe"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "builtin", "startForever", new TypeKind[] { TypeKind.STRING, TypeKind.ARRAY, TypeKind.ARRAY, TypeKind.ARRAY, TypeKind.ARRAY, TypeKind.ARRAY }, new TypeKind[] { TypeKind.NONE }, "org.ballerinalang.nativeimpl.builtin.streamlib.StartForever"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "builtin", "table.remove", new TypeKind[] { TypeKind.TABLE, TypeKind.ANY }, new TypeKind[] {  }, "org.ballerinalang.nativeimpl.builtin.tablelib.Remove"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "builtin", "queryTableWithJoinClause", new TypeKind[] { TypeKind.STRING, TypeKind.TABLE, TypeKind.TABLE, TypeKind.ARRAY, TypeKind.ANY }, new TypeKind[] { TypeKind.TABLE }, "org.ballerinalang.nativeimpl.builtin.tablelib.QueryTableWithJoinClause"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "builtin", "table.getNext", new TypeKind[] { TypeKind.TABLE }, new TypeKind[] { TypeKind.ANY }, "org.ballerinalang.nativeimpl.builtin.tablelib.GetNext"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "builtin", "table.hasNext", new TypeKind[] { TypeKind.TABLE }, new TypeKind[] { TypeKind.BOOLEAN }, "org.ballerinalang.nativeimpl.builtin.tablelib.HasNext"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "builtin", "table.add", new TypeKind[] { TypeKind.TABLE, TypeKind.ANY }, new TypeKind[] {  }, "org.ballerinalang.nativeimpl.builtin.tablelib.Add"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "builtin", "queryTableWithoutJoinClause", new TypeKind[] { TypeKind.STRING, TypeKind.TABLE, TypeKind.ARRAY, TypeKind.TYPEDESC }, new TypeKind[] { TypeKind.TABLE }, "org.ballerinalang.nativeimpl.builtin.tablelib.QueryTableWithoutJoinClause"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "builtin", "table.close", new TypeKind[] { TypeKind.TABLE }, new TypeKind[] {  }, "org.ballerinalang.nativeimpl.builtin.tablelib.Close"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "builtin", "future.isDone", new TypeKind[] { TypeKind.FUTURE }, new TypeKind[] { TypeKind.BOOLEAN }, "org.ballerinalang.nativeimpl.builtin.asynclib.IsDone"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "builtin", "future.cancel", new TypeKind[] { TypeKind.FUTURE }, new TypeKind[] { TypeKind.BOOLEAN }, "org.ballerinalang.nativeimpl.builtin.asynclib.Cancel"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "builtin", "future.isCancelled", new TypeKind[] { TypeKind.FUTURE }, new TypeKind[] { TypeKind.BOOLEAN }, "org.ballerinalang.nativeimpl.builtin.asynclib.IsCancelled"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "builtin", "json.toString", new TypeKind[] { TypeKind.JSON }, new TypeKind[] { TypeKind.STRING }, "org.ballerinalang.nativeimpl.builtin.jsonlib.ToString"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "builtin", "json.getKeys", new TypeKind[] { TypeKind.JSON }, new TypeKind[] { TypeKind.ARRAY }, "org.ballerinalang.nativeimpl.builtin.jsonlib.GetKeys"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "builtin", "json.toXML", new TypeKind[] { TypeKind.JSON, TypeKind.STRUCT }, new TypeKind[] { TypeKind.XML, TypeKind.STRUCT }, "org.ballerinalang.nativeimpl.builtin.jsonlib.ToXML"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "builtin", "json.remove", new TypeKind[] { TypeKind.JSON, TypeKind.STRING }, new TypeKind[] {  }, "org.ballerinalang.nativeimpl.builtin.jsonlib.Remove"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "builtin", "string.hasSuffix", new TypeKind[] { TypeKind.STRING, TypeKind.STRING }, new TypeKind[] { TypeKind.BOOLEAN }, "org.ballerinalang.nativeimpl.builtin.stringlib.HasSuffix"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "builtin", "string.hasPrefix", new TypeKind[] { TypeKind.STRING, TypeKind.STRING }, new TypeKind[] { TypeKind.BOOLEAN }, "org.ballerinalang.nativeimpl.builtin.stringlib.HasPrefix"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "builtin", "string.toBlob", new TypeKind[] { TypeKind.STRING, TypeKind.STRING }, new TypeKind[] { TypeKind.BLOB }, "org.ballerinalang.nativeimpl.builtin.stringlib.ToBlob"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "builtin", "string.equalsIgnoreCase", new TypeKind[] { TypeKind.STRING }, new TypeKind[] { TypeKind.BOOLEAN }, "org.ballerinalang.nativeimpl.builtin.stringlib.EqualsIgnoreCase"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "builtin", "string.replaceFirst", new TypeKind[] { TypeKind.STRING, TypeKind.STRING, TypeKind.STRING }, new TypeKind[] { TypeKind.STRING }, "org.ballerinalang.nativeimpl.builtin.stringlib.ReplaceFirst"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "builtin", "string.replaceAll", new TypeKind[] { TypeKind.STRING, TypeKind.STRING, TypeKind.STRING }, new TypeKind[] { TypeKind.STRING }, "org.ballerinalang.nativeimpl.builtin.stringlib.ReplaceAll"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "builtin", "string.toUpperCase", new TypeKind[] { TypeKind.STRING }, new TypeKind[] { TypeKind.STRING }, "org.ballerinalang.nativeimpl.builtin.stringlib.ToUpperCase"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "builtin", "string.trim", new TypeKind[] { TypeKind.STRING }, new TypeKind[] { TypeKind.STRING }, "org.ballerinalang.nativeimpl.builtin.stringlib.Trim"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "builtin", "string.matchesWithRegex", new TypeKind[] { TypeKind.STRING, TypeKind.STRUCT }, new TypeKind[] { TypeKind.BOOLEAN, TypeKind.STRUCT }, "org.ballerinalang.nativeimpl.builtin.stringlib.MatchesWithRegex"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "builtin", "string.length", new TypeKind[] { TypeKind.STRING }, new TypeKind[] { TypeKind.INT }, "org.ballerinalang.nativeimpl.builtin.stringlib.Length"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "builtin", "string.contains", new TypeKind[] { TypeKind.STRING, TypeKind.STRING }, new TypeKind[] { TypeKind.BOOLEAN }, "org.ballerinalang.nativeimpl.builtin.stringlib.Contains"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "builtin", "string.indexOf", new TypeKind[] { TypeKind.STRING, TypeKind.STRING }, new TypeKind[] { TypeKind.INT }, "org.ballerinalang.nativeimpl.builtin.stringlib.IndexOf"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "builtin", "string.findAllWithRegex", new TypeKind[] { TypeKind.STRING, TypeKind.STRUCT }, new TypeKind[] { TypeKind.ARRAY, TypeKind.STRUCT }, "org.ballerinalang.nativeimpl.builtin.stringlib.FindAllWithRegex"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "builtin", "string.toLowerCase", new TypeKind[] { TypeKind.STRING }, new TypeKind[] { TypeKind.STRING }, "org.ballerinalang.nativeimpl.builtin.stringlib.ToLowerCase"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "builtin", "string.replaceAllWithRegex", new TypeKind[] { TypeKind.STRING, TypeKind.STRUCT, TypeKind.STRING }, new TypeKind[] { TypeKind.STRING, TypeKind.STRUCT }, "org.ballerinalang.nativeimpl.builtin.stringlib.ReplaceAllWithRegex"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "builtin", "string.lastIndexOf", new TypeKind[] { TypeKind.STRING, TypeKind.STRING }, new TypeKind[] { TypeKind.INT }, "org.ballerinalang.nativeimpl.builtin.stringlib.LastIndexOf"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "builtin", "string.unescape", new TypeKind[] { TypeKind.STRING }, new TypeKind[] { TypeKind.STRING }, "org.ballerinalang.nativeimpl.builtin.stringlib.Unescape"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "builtin", "string.replace", new TypeKind[] { TypeKind.STRING, TypeKind.STRING, TypeKind.STRING }, new TypeKind[] { TypeKind.STRING }, "org.ballerinalang.nativeimpl.builtin.stringlib.Replace"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "builtin", "string.subString", new TypeKind[] { TypeKind.STRING, TypeKind.INT, TypeKind.INT }, new TypeKind[] { TypeKind.STRING }, "org.ballerinalang.nativeimpl.builtin.stringlib.SubString"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "builtin", "string.split", new TypeKind[] { TypeKind.STRING, TypeKind.STRING }, new TypeKind[] { TypeKind.ARRAY }, "org.ballerinalang.nativeimpl.builtin.stringlib.Split"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "builtin", "string.replaceFirstWithRegex", new TypeKind[] { TypeKind.STRING, TypeKind.STRUCT, TypeKind.STRING }, new TypeKind[] { TypeKind.STRING, TypeKind.STRUCT }, "org.ballerinalang.nativeimpl.builtin.stringlib.ReplaceFirstWithRegex"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "sql", "createSQLClient", new TypeKind[] { TypeKind.STRUCT }, new TypeKind[] {  }, "org.ballerinalang.nativeimpl.sql.endpoint.CreateSQLClient"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "sql", "CallerActions.call", new TypeKind[] { TypeKind.STRING, TypeKind.ARRAY }, new TypeKind[] { TypeKind.TABLE, TypeKind.STRUCT }, "org.ballerinalang.nativeimpl.sql.actions.Call"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "sql", "CallerActions.batchUpdate", new TypeKind[] { TypeKind.STRUCT, TypeKind.STRING, TypeKind.ARRAY }, new TypeKind[] { TypeKind.ARRAY, TypeKind.STRUCT }, "org.ballerinalang.nativeimpl.sql.actions.BatchUpdate"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "sql", "CallerActions.mirror", new TypeKind[] { TypeKind.STRING, TypeKind.STRING }, new TypeKind[] { TypeKind.TABLE, TypeKind.STRUCT }, "org.ballerinalang.nativeimpl.sql.actions.Mirror"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "sql", "CallerActions.select", new TypeKind[] { TypeKind.STRING, TypeKind.ARRAY }, new TypeKind[] { TypeKind.TABLE, TypeKind.STRUCT }, "org.ballerinalang.nativeimpl.sql.actions.Select"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "sql", "CallerActions.update", new TypeKind[] { TypeKind.STRING, TypeKind.ARRAY }, new TypeKind[] { TypeKind.INT, TypeKind.STRUCT }, "org.ballerinalang.nativeimpl.sql.actions.Update"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "sql", "CallerActions.updateWithGeneratedKeys", new TypeKind[] { TypeKind.STRING, TypeKind.ARRAY, TypeKind.ARRAY }, new TypeKind[] { TypeKind.INT, TypeKind.ARRAY, TypeKind.STRUCT }, "org.ballerinalang.nativeimpl.sql.actions.UpdateWithGeneratedKeys"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "sql", "CallerActions.close", new TypeKind[] {  }, new TypeKind[] { TypeKind.STRUCT }, "org.ballerinalang.nativeimpl.sql.actions.Close"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "math", "scalb", new TypeKind[] { TypeKind.FLOAT, TypeKind.INT }, new TypeKind[] { TypeKind.FLOAT }, "org.ballerinalang.nativeimpl.math.Scalb"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "math", "floorDiv", new TypeKind[] { TypeKind.INT, TypeKind.INT }, new TypeKind[] { TypeKind.INT }, "org.ballerinalang.nativeimpl.math.FloorDiv"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "math", "sin", new TypeKind[] { TypeKind.FLOAT }, new TypeKind[] { TypeKind.FLOAT }, "org.ballerinalang.nativeimpl.math.Sin"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "math", "pow", new TypeKind[] { TypeKind.FLOAT, TypeKind.FLOAT }, new TypeKind[] { TypeKind.FLOAT }, "org.ballerinalang.nativeimpl.math.Pow"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "math", "tanh", new TypeKind[] { TypeKind.FLOAT }, new TypeKind[] { TypeKind.FLOAT }, "org.ballerinalang.nativeimpl.math.Tanh"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "math", "hypot", new TypeKind[] { TypeKind.FLOAT, TypeKind.FLOAT }, new TypeKind[] { TypeKind.FLOAT }, "org.ballerinalang.nativeimpl.math.Hypot"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "math", "negateExact", new TypeKind[] { TypeKind.INT }, new TypeKind[] { TypeKind.INT }, "org.ballerinalang.nativeimpl.math.NegateExact"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "math", "ulp", new TypeKind[] { TypeKind.FLOAT }, new TypeKind[] { TypeKind.FLOAT }, "org.ballerinalang.nativeimpl.math.Ulp"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "math", "cbrt", new TypeKind[] { TypeKind.FLOAT }, new TypeKind[] { TypeKind.FLOAT }, "org.ballerinalang.nativeimpl.math.Cbrt"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "math", "rint", new TypeKind[] { TypeKind.FLOAT }, new TypeKind[] { TypeKind.FLOAT }, "org.ballerinalang.nativeimpl.math.Rint"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "math", "random", new TypeKind[] {  }, new TypeKind[] { TypeKind.FLOAT }, "org.ballerinalang.nativeimpl.math.Random"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "math", "ceil", new TypeKind[] { TypeKind.FLOAT }, new TypeKind[] { TypeKind.FLOAT }, "org.ballerinalang.nativeimpl.math.Ceil"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "math", "exp", new TypeKind[] { TypeKind.FLOAT }, new TypeKind[] { TypeKind.FLOAT }, "org.ballerinalang.nativeimpl.math.Exp"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "math", "log10", new TypeKind[] { TypeKind.FLOAT }, new TypeKind[] { TypeKind.FLOAT }, "org.ballerinalang.nativeimpl.math.Log10"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "math", "copySign", new TypeKind[] { TypeKind.FLOAT, TypeKind.FLOAT }, new TypeKind[] { TypeKind.FLOAT }, "org.ballerinalang.nativeimpl.math.CopySign"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "math", "asin", new TypeKind[] { TypeKind.FLOAT }, new TypeKind[] { TypeKind.FLOAT }, "org.ballerinalang.nativeimpl.math.Asin"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "math", "getExponent", new TypeKind[] { TypeKind.FLOAT }, new TypeKind[] { TypeKind.INT }, "org.ballerinalang.nativeimpl.math.Exponent"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "math", "signum", new TypeKind[] { TypeKind.FLOAT }, new TypeKind[] { TypeKind.FLOAT }, "org.ballerinalang.nativeimpl.math.Signum"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "math", "toRadians", new TypeKind[] { TypeKind.FLOAT }, new TypeKind[] { TypeKind.FLOAT }, "org.ballerinalang.nativeimpl.math.ToRadians"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "math", "nextUp", new TypeKind[] { TypeKind.FLOAT }, new TypeKind[] { TypeKind.FLOAT }, "org.ballerinalang.nativeimpl.math.NextUp"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "math", "log1p", new TypeKind[] { TypeKind.FLOAT }, new TypeKind[] { TypeKind.FLOAT }, "org.ballerinalang.nativeimpl.math.Log1p"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "math", "cosh", new TypeKind[] { TypeKind.FLOAT }, new TypeKind[] { TypeKind.FLOAT }, "org.ballerinalang.nativeimpl.math.Cosh"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "math", "sinh", new TypeKind[] { TypeKind.FLOAT }, new TypeKind[] { TypeKind.FLOAT }, "org.ballerinalang.nativeimpl.math.Sinh"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "math", "cos", new TypeKind[] { TypeKind.FLOAT }, new TypeKind[] { TypeKind.FLOAT }, "org.ballerinalang.nativeimpl.math.Cos"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "math", "sqrt", new TypeKind[] { TypeKind.FLOAT }, new TypeKind[] { TypeKind.FLOAT }, "org.ballerinalang.nativeimpl.math.Sqrt"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "math", "floorMod", new TypeKind[] { TypeKind.INT, TypeKind.INT }, new TypeKind[] { TypeKind.INT }, "org.ballerinalang.nativeimpl.math.FloorMod"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "math", "floor", new TypeKind[] { TypeKind.FLOAT }, new TypeKind[] { TypeKind.FLOAT }, "org.ballerinalang.nativeimpl.math.Floor"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "math", "IEEEremainder", new TypeKind[] { TypeKind.FLOAT, TypeKind.FLOAT }, new TypeKind[] { TypeKind.FLOAT }, "org.ballerinalang.nativeimpl.math.IEEERemainder"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "math", "tan", new TypeKind[] { TypeKind.FLOAT }, new TypeKind[] { TypeKind.FLOAT }, "org.ballerinalang.nativeimpl.math.Tan"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "math", "nextAfter", new TypeKind[] { TypeKind.FLOAT, TypeKind.FLOAT }, new TypeKind[] { TypeKind.FLOAT }, "org.ballerinalang.nativeimpl.math.NextAfter"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "math", "nextDown", new TypeKind[] { TypeKind.FLOAT }, new TypeKind[] { TypeKind.FLOAT }, "org.ballerinalang.nativeimpl.math.NextDown"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "math", "atan2", new TypeKind[] { TypeKind.FLOAT, TypeKind.FLOAT }, new TypeKind[] { TypeKind.FLOAT }, "org.ballerinalang.nativeimpl.math.Atan2"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "math", "randomInRange", new TypeKind[] { TypeKind.INT, TypeKind.INT }, new TypeKind[] { TypeKind.INT }, "org.ballerinalang.nativeimpl.math.RandomInRange"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "math", "expm1", new TypeKind[] { TypeKind.FLOAT }, new TypeKind[] { TypeKind.FLOAT }, "org.ballerinalang.nativeimpl.math.Expm1"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "math", "log", new TypeKind[] { TypeKind.FLOAT }, new TypeKind[] { TypeKind.FLOAT }, "org.ballerinalang.nativeimpl.math.Log"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "math", "atan", new TypeKind[] { TypeKind.FLOAT }, new TypeKind[] { TypeKind.FLOAT }, "org.ballerinalang.nativeimpl.math.Atan"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "math", "acos", new TypeKind[] { TypeKind.FLOAT }, new TypeKind[] { TypeKind.FLOAT }, "org.ballerinalang.nativeimpl.math.Acos"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "math", "round", new TypeKind[] { TypeKind.FLOAT }, new TypeKind[] { TypeKind.INT }, "org.ballerinalang.nativeimpl.math.Round"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "math", "absFloat", new TypeKind[] { TypeKind.FLOAT }, new TypeKind[] { TypeKind.FLOAT }, "org.ballerinalang.nativeimpl.math.AbsFloat"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "math", "absInt", new TypeKind[] { TypeKind.INT }, new TypeKind[] { TypeKind.INT }, "org.ballerinalang.nativeimpl.math.AbsInt"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "math", "toDegrees", new TypeKind[] { TypeKind.FLOAT }, new TypeKind[] { TypeKind.FLOAT }, "org.ballerinalang.nativeimpl.math.ToDegrees"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "runtime", "getFileEncoding", new TypeKind[] {  }, new TypeKind[] { TypeKind.STRING }, "org.ballerinalang.nativeimpl.runtime.GetFileEncoding"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "runtime", "getCurrentDirectory", new TypeKind[] {  }, new TypeKind[] { TypeKind.STRING }, "org.ballerinalang.nativeimpl.runtime.GetCurrentDirectory"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "runtime", "getProperties", new TypeKind[] {  }, new TypeKind[] { TypeKind.MAP }, "org.ballerinalang.nativeimpl.runtime.GetProperties"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "runtime", "setProperty", new TypeKind[] { TypeKind.STRING, TypeKind.STRING }, new TypeKind[] { TypeKind.STRING }, "org.ballerinalang.nativeimpl.runtime.SetProperty"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "runtime", "getInvocationContext", new TypeKind[] {  }, new TypeKind[] { TypeKind.STRUCT }, "org.ballerinalang.nativeimpl.runtime.GetInvocationContext"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "runtime", "sleepCurrentWorker", new TypeKind[] { TypeKind.INT }, new TypeKind[] {  }, "org.ballerinalang.nativeimpl.runtime.SleepCurrentWorker"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "runtime", "getProperty", new TypeKind[] { TypeKind.STRING }, new TypeKind[] { TypeKind.STRING }, "org.ballerinalang.nativeimpl.runtime.GetProperty"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "runtime", "getCallStack", new TypeKind[] {  }, new TypeKind[] {  }, "org.ballerinalang.nativeimpl.runtime.GetCallStack"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "runtime", "getErrorCallStackFrame", new TypeKind[] {  }, new TypeKind[] {  }, "org.ballerinalang.nativeimpl.runtime.GetErrorCallStackFrame"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "util", "base16ToBase64Encode", new TypeKind[] { TypeKind.STRING }, new TypeKind[] { TypeKind.STRING }, "org.ballerinalang.nativeimpl.util.Base16ToBase64Encode"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "util", "base64Decode", new TypeKind[] { TypeKind.UNION, TypeKind.STRING }, new TypeKind[] { TypeKind.UNION }, "org.ballerinalang.nativeimpl.util.Base64Decode"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "util", "parseJson", new TypeKind[] { TypeKind.STRING }, new TypeKind[] { TypeKind.JSON }, "org.ballerinalang.nativeimpl.util.ParseJson"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "util", "uuid", new TypeKind[] {  }, new TypeKind[] { TypeKind.STRING }, "org.ballerinalang.nativeimpl.util.Uuid"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "util", "base64ToBase16Encode", new TypeKind[] { TypeKind.STRING }, new TypeKind[] { TypeKind.STRING }, "org.ballerinalang.nativeimpl.util.Base64ToBase16Encode"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "util", "base64Encode", new TypeKind[] { TypeKind.UNION, TypeKind.STRING }, new TypeKind[] { TypeKind.UNION }, "org.ballerinalang.nativeimpl.util.Base64Encode"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "observe", "Gauge.decrementByOne", new TypeKind[] { TypeKind.STRUCT }, new TypeKind[] {  }, "org.ballerinalang.nativeimpl.observe.metrics.gauge.DecrementGaugeByOne"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "observe", "Gauge.incrementByOne", new TypeKind[] { TypeKind.STRUCT }, new TypeKind[] {  }, "org.ballerinalang.nativeimpl.observe.metrics.gauge.IncrementGaugeByOne"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "observe", "Gauge.decrement", new TypeKind[] { TypeKind.STRUCT, TypeKind.FLOAT }, new TypeKind[] {  }, "org.ballerinalang.nativeimpl.observe.metrics.gauge.DecrementGauge"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "observe", "Gauge.setValue", new TypeKind[] { TypeKind.STRUCT, TypeKind.FLOAT }, new TypeKind[] {  }, "org.ballerinalang.nativeimpl.observe.metrics.gauge.SetGauge"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "observe", "Gauge.increment", new TypeKind[] { TypeKind.STRUCT, TypeKind.FLOAT }, new TypeKind[] {  }, "org.ballerinalang.nativeimpl.observe.metrics.gauge.IncrementGauge"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "observe", "Gauge.value", new TypeKind[] { TypeKind.STRUCT }, new TypeKind[] { TypeKind.FLOAT }, "org.ballerinalang.nativeimpl.observe.metrics.gauge.GetGauge"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "observe", "Summary.count", new TypeKind[] { TypeKind.STRUCT }, new TypeKind[] { TypeKind.INT }, "org.ballerinalang.nativeimpl.observe.metrics.summary.CountSummary"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "observe", "Summary.percentileValues", new TypeKind[] { TypeKind.STRUCT }, new TypeKind[] { TypeKind.MAP }, "org.ballerinalang.nativeimpl.observe.metrics.summary.PercentileSummary"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "observe", "Summary.max", new TypeKind[] { TypeKind.STRUCT }, new TypeKind[] { TypeKind.FLOAT }, "org.ballerinalang.nativeimpl.observe.metrics.summary.MaxSummary"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "observe", "Summary.mean", new TypeKind[] { TypeKind.STRUCT }, new TypeKind[] { TypeKind.FLOAT }, "org.ballerinalang.nativeimpl.observe.metrics.summary.MeanSummary"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "observe", "Summary.record", new TypeKind[] { TypeKind.STRUCT, TypeKind.FLOAT }, new TypeKind[] {  }, "org.ballerinalang.nativeimpl.observe.metrics.summary.RecordSummary"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "observe", "Timer.count", new TypeKind[] { TypeKind.STRUCT }, new TypeKind[] { TypeKind.FLOAT }, "org.ballerinalang.nativeimpl.observe.metrics.timer.CountTimer"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "observe", "Timer.max", new TypeKind[] { TypeKind.STRUCT, TypeKind.STRING }, new TypeKind[] { TypeKind.FLOAT }, "org.ballerinalang.nativeimpl.observe.metrics.timer.MaxTimer"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "observe", "Timer.mean", new TypeKind[] { TypeKind.STRUCT, TypeKind.STRING }, new TypeKind[] { TypeKind.FLOAT }, "org.ballerinalang.nativeimpl.observe.metrics.timer.MeanTimer"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "observe", "Timer.record", new TypeKind[] { TypeKind.STRUCT, TypeKind.FLOAT, TypeKind.STRING }, new TypeKind[] {  }, "org.ballerinalang.nativeimpl.observe.metrics.timer.RecordTimer"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "observe", "Timer.percentileValues", new TypeKind[] { TypeKind.STRUCT, TypeKind.STRING }, new TypeKind[] { TypeKind.MAP }, "org.ballerinalang.nativeimpl.observe.metrics.timer.PercentileTimer"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "observe", "Counter.increment", new TypeKind[] { TypeKind.STRUCT, TypeKind.FLOAT }, new TypeKind[] {  }, "org.ballerinalang.nativeimpl.observe.metrics.counter.IncrementCounter"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "observe", "Counter.count", new TypeKind[] { TypeKind.STRUCT }, new TypeKind[] { TypeKind.FLOAT }, "org.ballerinalang.nativeimpl.observe.metrics.counter.CountCounter"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "observe", "Counter.incrementByOne", new TypeKind[] { TypeKind.STRUCT }, new TypeKind[] {  }, "org.ballerinalang.nativeimpl.observe.metrics.counter.IncrementCounterByOne"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "observe", "Span.setBaggageItem", new TypeKind[] { TypeKind.STRING, TypeKind.STRING }, new TypeKind[] {  }, "org.ballerinalang.nativeimpl.observe.SetBaggageItem"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "observe", "extractSpanContext", new TypeKind[] { TypeKind.MAP, TypeKind.STRING }, new TypeKind[] { TypeKind.STRUCT }, "org.ballerinalang.nativeimpl.observe.ExtractSpanContext"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "observe", "Span.addTag", new TypeKind[] { TypeKind.STRING, TypeKind.STRING }, new TypeKind[] { TypeKind.VOID }, "org.ballerinalang.nativeimpl.observe.AddTag"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "observe", "startRootSpan", new TypeKind[] { TypeKind.STRING, TypeKind.STRING, TypeKind.MAP }, new TypeKind[] { TypeKind.STRUCT }, "org.ballerinalang.nativeimpl.observe.StartRootSpan"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "observe", "Span.getBaggageItem", new TypeKind[] { TypeKind.STRING }, new TypeKind[] { TypeKind.STRING }, "org.ballerinalang.nativeimpl.observe.GetBaggageItem"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "observe", "Span.logError", new TypeKind[] { TypeKind.STRING, TypeKind.STRING }, new TypeKind[] { TypeKind.VOID }, "org.ballerinalang.nativeimpl.observe.ErrorLog"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "observe", "startSpanWithParentSpan", new TypeKind[] { TypeKind.STRING, TypeKind.STRING, TypeKind.MAP, TypeKind.ENUM, TypeKind.STRUCT }, new TypeKind[] { TypeKind.STRUCT }, "org.ballerinalang.nativeimpl.observe.StartSpanWithParentSpan"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "observe", "Span.injectSpanContext", new TypeKind[] { TypeKind.STRING }, new TypeKind[] { TypeKind.MAP }, "org.ballerinalang.nativeimpl.observe.InjectSpanContext"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "observe", "startSpanWithParentContext", new TypeKind[] { TypeKind.STRING, TypeKind.STRING, TypeKind.MAP, TypeKind.ENUM, TypeKind.STRUCT }, new TypeKind[] { TypeKind.STRUCT }, "org.ballerinalang.nativeimpl.observe.StartSpanWithParentContext"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "observe", "Span.log", new TypeKind[] { TypeKind.STRING, TypeKind.STRING }, new TypeKind[] { TypeKind.VOID }, "org.ballerinalang.nativeimpl.observe.Log"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "observe", "Span.finishSpan", new TypeKind[] {  }, new TypeKind[] {  }, "org.ballerinalang.nativeimpl.observe.FinishSpan"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "internal", "getServiceAnnotations", new TypeKind[] {  }, new TypeKind[] {  }, "org.ballerinalang.nativeimpl.internal.GetServiceAnnotations"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "internal", "getFunctionAnnotations", new TypeKind[] {  }, new TypeKind[] {  }, "org.ballerinalang.nativeimpl.internal.GetFunctionAnnotations"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "internal", "getStructFieldAnnotations", new TypeKind[] {  }, new TypeKind[] {  }, "org.ballerinalang.nativeimpl.internal.GetFieldAnnotations"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "internal", "getResourceAnnotations", new TypeKind[] {  }, new TypeKind[] {  }, "org.ballerinalang.nativeimpl.internal.GetResourceAnnotations"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "internal", "getStructAnnotations", new TypeKind[] {  }, new TypeKind[] {  }, "org.ballerinalang.nativeimpl.internal.GetStructAnnotations"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "io", "openSocket", new TypeKind[] { TypeKind.STRING, TypeKind.INT, TypeKind.STRUCT }, new TypeKind[] { TypeKind.STRUCT, TypeKind.STRUCT }, "org.ballerinalang.nativeimpl.socket.OpenSocket"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "io", "Socket.closeSocket", new TypeKind[] {  }, new TypeKind[] { TypeKind.STRUCT }, "org.ballerinalang.nativeimpl.socket.CloseSocket"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "io", "openSecureSocket", new TypeKind[] { TypeKind.STRING, TypeKind.INT, TypeKind.STRUCT }, new TypeKind[] { TypeKind.STRUCT, TypeKind.STRUCT }, "org.ballerinalang.nativeimpl.socket.OpenSecureSocket"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "os", "getArchitecture", new TypeKind[] {  }, new TypeKind[] { TypeKind.STRING }, "org.ballerinalang.nativeimpl.os.GetArchitecture"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "os", "getMultivaluedEnv", new TypeKind[] { TypeKind.STRING }, new TypeKind[] { TypeKind.ARRAY }, "org.ballerinalang.nativeimpl.os.GetMultivaluedEnv"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "os", "getName", new TypeKind[] {  }, new TypeKind[] { TypeKind.STRING }, "org.ballerinalang.nativeimpl.os.GetName"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "os", "getEnv", new TypeKind[] { TypeKind.STRING }, new TypeKind[] { TypeKind.STRING }, "org.ballerinalang.nativeimpl.os.GetEnv"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "os", "getVersion", new TypeKind[] {  }, new TypeKind[] { TypeKind.STRING }, "org.ballerinalang.nativeimpl.os.GetVersion"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "io", "DelimitedRecordChannel.nextTextRecord", new TypeKind[] {  }, new TypeKind[] { TypeKind.ARRAY, TypeKind.STRUCT }, "org.ballerinalang.nativeimpl.io.NextTextRecord"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "io", "DelimitedRecordChannel.hasNextTextRecord", new TypeKind[] {  }, new TypeKind[] { TypeKind.BOOLEAN }, "org.ballerinalang.nativeimpl.io.HasNextTextRecord"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "io", "createDelimitedRecordChannel", new TypeKind[] { TypeKind.STRUCT, TypeKind.STRING, TypeKind.STRING }, new TypeKind[] { TypeKind.STRUCT, TypeKind.STRUCT }, "org.ballerinalang.nativeimpl.io.CreateDelimitedRecordChannel"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "io", "CharacterChannel.writeCharacters", new TypeKind[] { TypeKind.STRING, TypeKind.INT }, new TypeKind[] { TypeKind.INT, TypeKind.STRUCT }, "org.ballerinalang.nativeimpl.io.WriteCharacters"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "io", "CharacterChannel.readXml", new TypeKind[] {  }, new TypeKind[] {  }, "org.ballerinalang.nativeimpl.io.ReadXml"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "io", "print", new TypeKind[] { TypeKind.ANY }, new TypeKind[] {  }, "org.ballerinalang.nativeimpl.io.PrintAny"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "io", "ByteChannel.read", new TypeKind[] { TypeKind.INT }, new TypeKind[] { TypeKind.BLOB, TypeKind.INT, TypeKind.STRUCT }, "org.ballerinalang.nativeimpl.io.Read"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "io", "readln", new TypeKind[] {  }, new TypeKind[] { TypeKind.STRING }, "org.ballerinalang.nativeimpl.io.ReadlnAny"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "io", "CharacterChannel.writeJson", new TypeKind[] { TypeKind.JSON }, new TypeKind[] { TypeKind.STRUCT }, "org.ballerinalang.nativeimpl.io.WriteJson"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "io", "sprintf", new TypeKind[] { TypeKind.STRING, TypeKind.ARRAY }, new TypeKind[] { TypeKind.STRING }, "org.ballerinalang.nativeimpl.io.Sprintf"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "io", "CharacterChannel.writeXml", new TypeKind[] { TypeKind.XML }, new TypeKind[] { TypeKind.STRUCT }, "org.ballerinalang.nativeimpl.io.WriteXml"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "io", "CharacterChannel.closeCharacterChannel", new TypeKind[] {  }, new TypeKind[] { TypeKind.STRUCT }, "org.ballerinalang.nativeimpl.io.CloseCharacterChannel"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "io", "CharacterChannel.readJson", new TypeKind[] {  }, new TypeKind[] {  }, "org.ballerinalang.nativeimpl.io.ReadJson"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "io", "createCharacterChannel", new TypeKind[] { TypeKind.STRUCT, TypeKind.STRING }, new TypeKind[] { TypeKind.STRUCT, TypeKind.STRUCT }, "org.ballerinalang.nativeimpl.io.CreateCharacterChannel"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "io", "CharacterChannel.readCharacters", new TypeKind[] { TypeKind.INT }, new TypeKind[] { TypeKind.STRING, TypeKind.STRUCT }, "org.ballerinalang.nativeimpl.io.ReadCharacters"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "io", "println", new TypeKind[] { TypeKind.ANY }, new TypeKind[] {  }, "org.ballerinalang.nativeimpl.io.PrintlnAny"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "io", "createCsvChannel", new TypeKind[] { TypeKind.STRING, TypeKind.STRING, TypeKind.STRING, TypeKind.STRING }, new TypeKind[] { TypeKind.STRUCT, TypeKind.STRUCT }, "org.ballerinalang.nativeimpl.io.CreateCsvChannel"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "io", "DelimitedRecordChannel.closeDelimitedRecordChannel", new TypeKind[] {  }, new TypeKind[] { TypeKind.STRUCT }, "org.ballerinalang.nativeimpl.io.CloseDelimitedRecordChannel"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "io", "ByteChannel.write", new TypeKind[] { TypeKind.BLOB, TypeKind.INT }, new TypeKind[] { TypeKind.INT, TypeKind.STRUCT }, "org.ballerinalang.nativeimpl.io.Write"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "io", "DelimitedRecordChannel.writeTextRecord", new TypeKind[] { TypeKind.ARRAY }, new TypeKind[] { TypeKind.STRUCT }, "org.ballerinalang.nativeimpl.io.WriteTextRecord"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "io", "loadToTable", new TypeKind[] { TypeKind.STRING, TypeKind.STRING, TypeKind.STRING, TypeKind.STRING, TypeKind.BOOLEAN }, new TypeKind[] { TypeKind.TABLE, TypeKind.STRUCT }, "org.ballerinalang.nativeimpl.io.LoadToTable"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "io", "openFile", new TypeKind[] { TypeKind.STRING, TypeKind.STRING }, new TypeKind[] { TypeKind.STRUCT }, "org.ballerinalang.nativeimpl.io.OpenFile"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "io", "ByteChannel.close", new TypeKind[] {  }, new TypeKind[] { TypeKind.STRUCT }, "org.ballerinalang.nativeimpl.io.Close"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "log", "printTrace", new TypeKind[] { TypeKind.STRING }, new TypeKind[] {  }, "org.ballerinalang.nativeimpl.log.LogTrace"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "log", "printErrorCause", new TypeKind[] { TypeKind.STRING, TypeKind.STRUCT }, new TypeKind[] {  }, "org.ballerinalang.nativeimpl.log.LogErrorCause"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "log", "printInfo", new TypeKind[] { TypeKind.STRING }, new TypeKind[] {  }, "org.ballerinalang.nativeimpl.log.LogInfo"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "log", "printError", new TypeKind[] { TypeKind.STRING }, new TypeKind[] {  }, "org.ballerinalang.nativeimpl.log.LogError"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "log", "printDebug", new TypeKind[] { TypeKind.STRING }, new TypeKind[] {  }, "org.ballerinalang.nativeimpl.log.LogDebug"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "log", "printWarn", new TypeKind[] { TypeKind.STRING }, new TypeKind[] {  }, "org.ballerinalang.nativeimpl.log.LogWarn"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "user", "getLocale", new TypeKind[] {  }, new TypeKind[] { TypeKind.STRUCT }, "org.ballerinalang.nativeimpl.user.GetLocale"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "user", "getName", new TypeKind[] {  }, new TypeKind[] { TypeKind.STRING }, "org.ballerinalang.nativeimpl.user.GetName"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "user", "getCountry", new TypeKind[] {  }, new TypeKind[] { TypeKind.STRING }, "org.ballerinalang.nativeimpl.user.GetCountry"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "user", "getHome", new TypeKind[] {  }, new TypeKind[] { TypeKind.STRING }, "org.ballerinalang.nativeimpl.user.GetHome"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "user", "getLanguage", new TypeKind[] {  }, new TypeKind[] { TypeKind.STRING }, "org.ballerinalang.nativeimpl.user.GetLanguage"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "time", "Time.year", new TypeKind[] { TypeKind.STRUCT }, new TypeKind[] { TypeKind.INT }, "org.ballerinalang.nativeimpl.time.Year"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "time", "Time.second", new TypeKind[] { TypeKind.STRUCT }, new TypeKind[] { TypeKind.INT }, "org.ballerinalang.nativeimpl.time.Second"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "time", "nanoTime", new TypeKind[] {  }, new TypeKind[] { TypeKind.INT }, "org.ballerinalang.nativeimpl.time.NanoTime"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "time", "Time.toString", new TypeKind[] { TypeKind.STRUCT }, new TypeKind[] { TypeKind.STRING }, "org.ballerinalang.nativeimpl.time.ToString"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "time", "Time.formatTo", new TypeKind[] { TypeKind.STRUCT, TypeKind.ENUM }, new TypeKind[] { TypeKind.STRING }, "org.ballerinalang.nativeimpl.time.FormatTo"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "time", "currentTime", new TypeKind[] {  }, new TypeKind[] { TypeKind.STRUCT }, "org.ballerinalang.nativeimpl.time.CurrentTime"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "time", "createTime", new TypeKind[] { TypeKind.INT, TypeKind.INT, TypeKind.INT, TypeKind.INT, TypeKind.INT, TypeKind.INT, TypeKind.INT, TypeKind.STRING }, new TypeKind[] { TypeKind.STRUCT }, "org.ballerinalang.nativeimpl.time.CreateTime"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "time", "Time.month", new TypeKind[] { TypeKind.STRUCT }, new TypeKind[] { TypeKind.INT }, "org.ballerinalang.nativeimpl.time.Month"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "time", "Time.addDuration", new TypeKind[] { TypeKind.STRUCT, TypeKind.INT, TypeKind.INT, TypeKind.INT, TypeKind.INT, TypeKind.INT, TypeKind.INT, TypeKind.INT }, new TypeKind[] { TypeKind.STRUCT }, "org.ballerinalang.nativeimpl.time.AddDuration"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "time", "Time.hour", new TypeKind[] { TypeKind.STRUCT }, new TypeKind[] { TypeKind.INT }, "org.ballerinalang.nativeimpl.time.Hour"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "time", "Time.getTime", new TypeKind[] { TypeKind.STRUCT }, new TypeKind[] { TypeKind.INT, TypeKind.INT, TypeKind.INT, TypeKind.INT }, "org.ballerinalang.nativeimpl.time.GetTime"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "time", "Time.weekday", new TypeKind[] { TypeKind.STRUCT }, new TypeKind[] { TypeKind.STRING }, "org.ballerinalang.nativeimpl.time.WeekDay"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "time", "Time.toTimezone", new TypeKind[] { TypeKind.STRUCT, TypeKind.STRING }, new TypeKind[] { TypeKind.STRUCT }, "org.ballerinalang.nativeimpl.time.ToTimezone"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "time", "Time.format", new TypeKind[] { TypeKind.STRUCT, TypeKind.STRING }, new TypeKind[] { TypeKind.STRING }, "org.ballerinalang.nativeimpl.time.Format"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "time", "Time.minute", new TypeKind[] { TypeKind.STRUCT }, new TypeKind[] { TypeKind.INT }, "org.ballerinalang.nativeimpl.time.Minute"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "time", "Time.day", new TypeKind[] { TypeKind.STRUCT }, new TypeKind[] { TypeKind.INT }, "org.ballerinalang.nativeimpl.time.Day"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "time", "Time.getDate", new TypeKind[] { TypeKind.STRUCT }, new TypeKind[] { TypeKind.INT, TypeKind.INT, TypeKind.INT }, "org.ballerinalang.nativeimpl.time.GetDate"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "time", "parse", new TypeKind[] { TypeKind.STRING, TypeKind.STRING }, new TypeKind[] { TypeKind.STRUCT }, "org.ballerinalang.nativeimpl.time.Parse"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "time", "parseTo", new TypeKind[] { TypeKind.STRING, TypeKind.ENUM }, new TypeKind[] { TypeKind.STRUCT }, "org.ballerinalang.nativeimpl.time.ParseTo"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "time", "Time.subtractDuration", new TypeKind[] { TypeKind.STRUCT, TypeKind.INT, TypeKind.INT, TypeKind.INT, TypeKind.INT, TypeKind.INT, TypeKind.INT, TypeKind.INT }, new TypeKind[] { TypeKind.STRUCT }, "org.ballerinalang.nativeimpl.time.SubtractDuration"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "time", "Time.milliSecond", new TypeKind[] { TypeKind.STRUCT }, new TypeKind[] { TypeKind.INT }, "org.ballerinalang.nativeimpl.time.MilliSecond"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "config", "setConfig", new TypeKind[] { TypeKind.STRING, TypeKind.UNION }, new TypeKind[] {  }, "org.ballerinalang.nativeimpl.config.SetConfig"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "config", "get", new TypeKind[] { TypeKind.STRING, TypeKind.RECORD }, new TypeKind[] {  }, "org.ballerinalang.nativeimpl.config.GetConfig"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "config", "contains", new TypeKind[] { TypeKind.STRING }, new TypeKind[] { TypeKind.BOOLEAN }, "org.ballerinalang.nativeimpl.config.Contains"));
	}

}
